AxisChartDataProcessor (jCharts-0.7.5 API)
Keywords: org.jCharts.chartData.processors.AxisChartDataProcessor,AxisChartDataProcessor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartData.processors
Class AxisChartDataProcessor

    java.lang.Object
      |
      +--org.jCharts.chartData.processors.AxisChartDataProcessor

Direct Known Subclasses:
  ScatterPlotDataProcessor

public class AxisChartDataProcessor
extends java.lang.Object

Field Summary
`private double` | `max`
`private double` | `min`
`private int` | `numberOfElementsInADataSet`

Constructor Summary
`AxisChartDataProcessor()` Constructor

Method Summary
`double` | `getMaxValue()`
`double` | `getMinValue()`
`int` | `getNumberOfElementsInADataSet()`
`void` | `processData(AxisChart axisChart, java.awt.font.FontRenderContext fontRenderContext)` Method to perform all chart data processing.
`private void` | `processDataSet(IDataSeries iDataSeries)` Processes the numeric values in the chart data.
`(package private) void` | `setMaxValue(double max)`
`(package private) void` | `setMinValue(double min)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### max

    private double max

### min

    private double min

### numberOfElementsInADataSet

    private int numberOfElementsInADataSet

Constructor Detail

### AxisChartDataProcessor

    public AxisChartDataProcessor()

  Constructor

Method Detail

### processData

    public void processData(AxisChart axisChart,
                            java.awt.font.FontRenderContext fontRenderContext)

  Method to perform all chart data processing.

  Parameters:
    `axisChart` -

### processDataSet

    private void processDataSet(IDataSeries iDataSeries)

  Processes the numeric values in the chart data. If there is a user defined scale there is no need to call this.

  Parameters:
    `iDataSeries` -

### setMaxValue

    void setMaxValue(double max)

### getMaxValue

    public double getMaxValue()

### setMinValue

    void setMinValue(double min)

### getMinValue

    public double getMinValue()

### getNumberOfElementsInADataSet

    public int getNumberOfElementsInADataSet()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD